Old 7th December 2003, 00:43   #1
Kitfox
Junior Member
 
Join Date: Dec 2003
Posts: 5
Will Winamp 5 support Classic Formats

I hope this hasn't been posted before, i'v searched the forum.

Anyway It seems to me that the beta currently doesn't support classic formats. But i was wondering if Winamp 5 will support old music formats such as S3M, XM, IT,MOD, SID etc. Does anyone know?

i remeber winamp 2 supporting it.
Kitfox is offline   Reply With Quote
Old 7th December 2003, 00:45   #2
mikm
Major Dude
 
mikm's Avatar
 
Join Date: May 2001
Location: somewhere else
Posts: 1,255
They are supported. Winamp 5 is Winamp 2, except with extra plugins included.

powered by C₂H₅OH

Last edited by mikm; 7th December 2003 at 01:01.
mikm is offline   Reply With Quote
Old 7th December 2003, 00:53   #3
Kitfox
Junior Member
 
Join Date: Dec 2003
Posts: 5
oups my mistake... but it seems not to be playing SID files so i assumed
Kitfox is offline   Reply With Quote
Old 7th December 2003, 01:58   #4
DJ Egg
Techorator
Winamp & SHOUTcast Team
 
Join Date: Jun 2000
Posts: 35,821
SID files are supported by a 3rd-party plugin, so I assume you must have forgotten to (re)install said plugin.

However, Module formats (S3M, XM, IT, MOD, etc) are supported by the default Nullsoft Module Decoder (in_mod.dll)
DJ Egg is offline   Reply With Quote
Old 7th December 2003, 02:34   #5
JonnyMac
Moderator
 
JonnyMac's Avatar
 
Join Date: Dec 2000
Posts: 14,384
I have SID files also. I am aware of two plug-ins for SID files, SidAmp and LittleSiD. Unfortunately they do not seem to work with Winamp 5 (using RC8).

However, I have Winamp 2.91 installed to a separate folder with SidAmp in the plugins folder. When I want to listen to SID files, I start WA2.91 and load the files with the open/"eject" button.

Please do not PM me for tech support. Any request for tech support through PM will be ignored.
Read the Stickies
---> | | | | <--- Knowledge is power
JonnyMac is offline   Reply With Quote
Old 7th December 2003, 02:49   #6
DJ Egg
Techorator
Winamp & SHOUTcast Team
 
Join Date: Jun 2000
Posts: 35,821
That's the first I've heard of an input plugin which works in 2.9x but not in 5.0
Define "doesn't work".

Do these plugins have their own interface, eg. a skinned window?
And if so, is there any option in the plugin config to not use a skinned interface?
Does it work in classic skin mode?
DJ Egg is offline   Reply With Quote
Old 7th December 2003, 03:07   #7
JonnyMac
Moderator
 
JonnyMac's Avatar
 
Join Date: Dec 2000
Posts: 14,384
I will post a reply at another time. It is late at night in my part of the world and I am tired. For some reason the SID files will not play and the timer does not show correct time. More information and answers to your questions will come with my next reply.
JonnyMac is offline   Reply With Quote
Old 7th December 2003, 20:18   #8
JonnyMac
Moderator
 
JonnyMac's Avatar
 
Join Date: Dec 2000
Posts: 14,384
Update

Ok, I will admit it...
...I goofed

Actually Winamp 5 works fine with the SID plug-ins. I had forgotten that I installed DrO's Extended Playlist plug-in. It turns out that there is some type of conflict between EP plug-in and the SID plug-ins.

I was tired last night when testing the SID plug-ins with WA5. After a good night's sleep and a clearer mind, I finally realized that it could be a conflict with another plug-in.

Give me 40 lashes with a wet noodle or one good slap across the face with a dead fish. Your choice.
JonnyMac is offline   Reply With Quote
Old 7th December 2003, 21:27   #9
DJ Egg
Techorator
Winamp & SHOUTcast Team
 
Join Date: Jun 2000
Posts: 35,821
Step right this way sir

DJ Egg is offline   Reply With Quote
Old 7th December 2003, 22:31   #10
JonnyMac
Moderator
 
JonnyMac's Avatar
 
Join Date: Dec 2000
Posts: 14,384
LOL
JonnyMac is offline   Reply With Quote
Old 15th December 2003, 21:32   #11
DrStrange
Junior Member
 
Join Date: Dec 2003
Posts: 1
I'd use LittleSID rather than SIDAmp.
LittleSID works with in_med 3rd party plugin. SIDAmp does not as Winamp 5 will crash with the standard XP Windows error report window - "Winamp has encountered a problem and needs to close..."
The dll causing the crash is gen_ff.
And AFAIK Winamp 5 does not support med files without a plugin.
DrStrange is offline   Reply With Quote
Reply
Go Back   Winamp & Shoutcast Forums > Winamp > Winamp Technical Support

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump